没有可用于翻译的引擎
出现此问题时,API 会返回 403 Forbidden。其 type 为 https://lingo.dev/docs/api/errors/no-translatable-engine。所有错误的通用结构请参阅错误和状态码。
你无法使用组织 <organizationId> 的任何引擎进行翻译,因此你的本地化任务都无法使用该组织中的产物。请向组织管理员申请 'engine:translate' 权限或某个引擎的访问权限。
字段#
除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本由这些字段生成,因此客户端可以改为显示自定义文本。
| 字段 | 类型 |
|---|---|
organizationId | string |
示例#
json
{
"detail": "You cannot translate with any engine of organization <organizationId>, so no localization job of yours could use an artifact there. Ask an organization admin for the 'engine:translate' permission or for access to an engine.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/no-translatable-engine",
"status": 403,
"title": "No engine to translate with"
}返回此错误的端点#
PUT /v2/organizations/{orgId}/localization/artifacts/{address}